GET /v1/app-gateway/{appId}/runs/{runId}
Get a single run's status and inputs/outputs

Path Parameters

appId string required path
Deep-agent run id (app id)
runId string required path
Run id

Responses

200 OK
application/json
inputs object
outputs object
runId string
status string
403 Forbidden
404 Not Found
curl -X GET 'https://api.example.com/v1/app-gateway/string/runs/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/app-gateway/string/runs/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/app-gateway/string/runs/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/app-gateway/string/runs/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "inputs": "<object>",  "outputs": "<object>",  "runId": "<string>",  "status": "<string>"}